### Enumeration

# AdwToolbarStyle

since: 1.4

#### Declaration

    enum Adw.ToolbarStyle

#### Description [src]

Describes the possible top or bottom bar styles in an `AdwToolbarView` widget.

`ADW_TOOLBAR_FLAT` is suitable for simple content, such as `AdwStatusPage` or `AdwPreferencesPage`, where the background at the top and bottom parts of the page is uniform. Additionally, windows with sidebars should always use this style.

`ADW_TOOLBAR_RAISED` style is suitable for content such as utility panes, where some elements are directly adjacent to the top/bottom bars, or `AdwTabView`, where each page can have a different background.

`ADW_TOOLBAR_RAISED_BORDER` style is similar to `ADW_TOOLBAR_RAISED`, but with the shadow replaced with a more subtle border. It’s intended to be used in applications like image viewers, where a shadow over the content might be undesired.

See `AdwToolbarView:top-bar-style` and `AdwToolbarView:bottom-bar-style`.

New values may be added to this enumeration over time.

Available since: 1.4

#### Members

`ADW_TOOLBAR_FLAT`

  No background, shadow only for scrolled content.

  - Value: `0`
  - Available since: 1.4
`ADW_TOOLBAR_RAISED`

  Opaque background with a persistent shadow.

  - Value: `1`
  - Available since: 1.4
`ADW_TOOLBAR_RAISED_BORDER`

  Opaque background with a persistent border.

  - Value: `2`
  - Available since: 1.4